# 鲁泰智能安防小程序

## 小程序目录

|-- 鲁泰智能安防
    |-- app.js                                          小程序入口文件，所用是小程序逻辑
    |-- app.json                                     小程序公共配置文件
    |-- app.wxss                                    小程序公共样式文件
    |-- package-lock.json                     `npm install`时候生成一份文件，用以记录当前状态下实际安装的各个npm package的具体来源和版本号
    |-- package.json                              用于管理本地安装的npm包
    |-- project.config.json                    项目配置文件
    |-- README.md                               项目说明文档
    |-- siteinfo.js                                    项目api地址配置文件
    |-- sitemap.json                              页面收录配置文件
    |-- image                                          项目图片目录
    |   |-- home1.png
    |   |-- home2.png
    |   |-- user1.png
    |   |-- user2.png
    |-- pages                                           项目页面目录
    |   |-- index                                       菜单页
    |   |   |-- index.js
    |   |   |-- index.json
    |   |   |-- index.wxml
    |   |   |-- index.wxss
    |   |-- login                                        登录页
    |   |   |-- login.js
    |   |   |-- login.json
    |   |   |-- login.wxml
    |   |   |-- login.wxss
    |   |-- modules                                 模块分包目录
    |   |   |-- pages                                 分包页目录
    |   |       |-- setting                           设置页
    |   |       |   |-- setting.js
    |   |       |   |-- setting.json
    |   |       |   |-- setting.wxml
    |   |       |   |-- setting.wxss
    |   |       |-- staffquery                    人员查询页
    |   |       |   |-- staffquery.js
    |   |       |   |-- staffquery.json
    |   |       |   |-- staffquery.wxml
    |   |       |   |-- staffquery.wxss
    |   |       |-- vehicle                          车辆查询页
    |   |       |   |-- vehicle.js
    |   |       |   |-- vehicle.json
    |   |       |   |-- vehicle.wxml
    |   |       |   |-- vehicle.wxss
    |   |       |-- xfj-xj                             消防巡检页
    |   |           |-- xfj-xj.js
    |   |           |-- xfj-xj.json
    |   |           |-- xfj-xj.wxml
    |   |           |-- xfj-xj.wxss
    |   |-- user                                       用户信息页
    |       |-- index.js
    |       |-- index.json
    |       |-- index.wxml
    |       |-- index.wxss
    |-- utils                                             通用方法目录
        |-- msg.js
        |-- sysrequest.js
        |-- vehiclerequest.js

## 系统参数说明

- user_key:用户登录成功后，存储服务器返回的key
- is_admin:是否管理员
- user_name:用户名
- login_name:登录名
- menutype:菜单样式，1平铺菜单，2列表菜单
- isnullgetvehicle:是否允许不输入条件或者输入的车牌号码少于三位来获取车辆信息

## 注意事项

- swiper图片的大小约定为500*200