//获取应用实例
const app = getApp()

//引入网站api和api请求方法对象
import siteinfo from '../../siteinfo'
import sysrequest from '../../utils/sysrequest'

Page({
  //页面数据
  data: {
    rooturl: "", //网站api地址
    menu_s: 0, //菜单图片的长度和宽度
    ispu: true, //菜单样式是否为屏幕样式，如果为false，菜单以列表的样式展开
    banner: {}, //轮播图片
    menus: {} //菜单
  },

  /**
   * 页面加载时触发的事件
   */
  onLoad() {
    //获取api根路径
    this.setData({ rooturl: siteinfo.siteroot });
    //设置菜单图片的宽度和高度
    let _this = this;
    wx.getSystemInfo({
      success: (result) => {
        var w = (result.windowWidth - 72) / 5;
        _this.setData({ menu_s: w });
      },
    });
  },

  /**
   * 页面显示时触发的事件
   */
  onShow() {
    //获取菜单和轮播图
    let _this = this;
    sysrequest('menu/getData', 'GET', { appCode: "ADM.Znaf" }, 60, (res) => {
      if (res.code === 0) {
        _this.setData({ banner: res.data.banner });
        _this.setData({ menus: res.data.menu });
      } else {
        msg.showErr(res.msg)
        return;
      }
    });

    //获取菜单类型，并根据菜单类型设置菜单的显示样式
    var menutype = wx.getStorageSync('menutype');
    if (menutype === "2") {
      this.setData({ ispu: false });
    } else {
      this.setData({ ispu: true });
    }
  },

  //设置图片轮显高度
  imgHeight: function (e) {
    var winWid = wx.getSystemInfoSync().windowWidth; //获取当前屏幕的宽度
    var imgh = e.detail.height; //图片高度
    var imgw = e.detail.width; //图片宽度

    //等比设置swiper的高度。 即 屏幕宽度 / swiper高度 = 图片宽度 / 图片高度  ==》swiper高度 = 屏幕宽度 * 图片高度 / 图片宽度
    var swiperH = (winWid * imgh / imgw);
    this.setData({
      height: swiperH //设置高度
    })
  },

  /**
   * 点击菜单时打开对应的页面
   * @param {页面的路径} e 
   */
  open(e) {
    wx.navigateTo({
      url: "/pages/modules/pages/" + e.currentTarget.dataset.path,
    })
  }
})
