//引入消息提示对象和请求处理对象
import msg from '../../../../utils/msg.js'
import vehiclerequest from '../../../../utils/vehiclerequest'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    isnullgetvehicle: false, //是否允许条件不输入或者输入不到3位获取数据
    searchNO: '', //要搜寻的车牌号码
    currPage: 0, //当前获取数据的页数
    carList: [], //获取的数据集合
    isGetMore: true, //是否继续获取
  },

  /**
   * 页面加载时触发
   */
  onLoad() {
    //获取布局宽度
    let _this = this;
    wx.getSystemInfo({
      success: (result) => {
        _this.setData({ w_height: result.windowHeight });
      },
    })

    // 设置列表高度
    this.calcHeight();

    //获取是否允许空条件加载车辆数据
    if (wx.getStorageSync('isnullgetvehicle') === true) {
      this.data.isnullgetvehicle = true;
    } else {
      this.data.isnullgetvehicle = false;
    }
  },

  /**
   * 交掉离开搜索框时触发
   * @param {搜索框输入的数据} e 
   */
  onblur(e) {
    this.setData({ searchNO: e.detail.value });
  },

  /**
   * 搜索车辆信息
   */
  search() {
    let _this = this;
    setTimeout(function () {
      //判断车牌号码输入是否合法
      if (!_this.data.isnullgetvehicle && _this.data.searchNO.length < 3) {
        msg.showWarn("为了提高查询效率，请至少提供车牌号码中的3位");
        return;
      }

      //准备参数，分页相关及输入的车牌号码
      let data = { pageIndex: 0, pageSize: 5 };
      if (_this.data.searchNO.length > 0) {
        Object.assign(data, { licensePlateNo: "*" + _this.data.searchNO + "*" });
      }

      //调用API获取车辆数据
      vehiclerequest("getPageData", "GET", data, null, (res) => {
        _this.data.currPage = 0;
        _this.data.isGetMore = true;
        _this.setData({ carList: res.data.data });
      });
    }, 100)
  },

  /**
   * scroll-view下拉时触发，用于瀑布式加载数据
   */
  getMore() {
    //用于判断是否还需要加载，防止频繁方位api接口，浪费性能
    if (!this.data.isGetMore) {
      return;
    }

    //准备参数，当前页，每页记录数，车牌号码等
    this.data.currPage += 1;
    let _this = this;
    let data = { pageIndex: this.data.currPage, pageSize: 5 };
    if (this.data.searchNO.length > 0) {
      Object.assign(data, { licensePlateNo: "*" + this.data.searchNO + "*" });
    }

    //调用api获取车辆数据
    vehiclerequest("getPageData", "Get", data, null, (res) => {
      if (res.data.data.length === 0) {
        _this.data.isGetMore = false;
        return;
      }
      var carList = _this.data.carList.concat(res.data.data);
      _this.setData({ carList: carList });
    });
  },

  /**
  * 设置列表高度
  */
  calcHeight: function () {
    //计算高度
    let _this = this;
    let query = wx.createSelectorQuery().in(this);
    query.select('#header').boundingClientRect();
    query.exec((res) => {
      let h_height = res[0].height;
      let height = _this.data.w_height - h_height - 10;
      _this.setData({ s_height: height });
    });
  },
})